# std::unordered_multimap<Key,T,Hash,KeyEqual,Allocator>::clear

From cppreference.com
< cpp‎ | container‎ | unordered multimap

void clear() noexcept; |  | (since C++11)

Erases all elements from the container. After this call, size() returns zero.

Invalidates any references, pointers, or iterators referring to contained elements. May also invalidate past-the-end iterators.

### Parameters

(none)

### Return value

(none)

### Complexity

Linear in the size of the container, i.e., the number of elements.

### Defect reports

The following behavior-changing defect reports were applied retroactively to previously published C++ standards.

DR | Applied to | Behavior as published | Correct behavior
--- | --- | --- | ---
LWG 2550 | C++11 | for unordered associative containers, unclear if complexity is linear in the number of elements or buckets | clarified that it's linear in the number of elements

### See also

erase | erases elements (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/unordered_multimap/clear&oldid=50715"